Issue2094

classification
Title: socket.socket instance has no recv_into() method in jython2.7b1
Type: Severity: normal
Components: Library Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: marcel, zyasoft
Priority: Keywords:

Created on 2013-10-01.13:36:20 by marcel, last changed 2014-07-23.14:43:54 by zyasoft.

Messages
msg8138 (view) Author: Marcel (marcel) Date: 2013-10-01.13:36:20
On CPython 2.7.3:
>>> import socket
>>> socket.socket.recv_into
<member 'recv_into' of '_socketobject' objects>
>>> socket.socket().recv_into
<built-in method recv_into of _socket.socket object at 0x01EE7098>

On Jython2.7b1:
>>> import socket
>>> socket.socket.recv_into
<member 'recv_into' of '_socketobject' objects>
>>> socket.socket().recv_into
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: '_socketobject' object has no attribute 'recv_into'
msg8141 (view) Author: Jim Baker (zyasoft) Date: 2013-10-02.20:38:14
socket is being rewritten in 2.7, I will look into this
msg8319 (view) Author: Jim Baker (zyasoft) Date: 2014-05-04.19:46:55
Not yet implemented in this branch:
https://bitbucket.org/jimbaker/jython-socket-reboot

This may wait until beta 4, but I will see if I can squeeze in this work. There's some testing in core Python 2.7's version of test_socket that we might be able to use.
msg8396 (view) Author: Jim Baker (zyasoft) Date: 2014-05-13.19:10:23
Target beta 4
msg8875 (view) Author: Jim Baker (zyasoft) Date: 2014-07-14.20:21:07
Fixed as of http://hg.python.org/jython/rev/2c45f75a5406
History
Date User Action Args
2014-07-23 14:43:54zyasoftsetstatus: pending -> closed
2014-07-14 20:21:07zyasoftsetstatus: open -> pending
resolution: fixed
messages: + msg8875
2014-05-13 19:10:23zyasoftsetmessages: + msg8396
2014-05-04 19:46:55zyasoftsetmessages: + msg8319
2013-10-02 20:38:15zyasoftsetassignee: zyasoft
messages: + msg8141
nosy: + zyasoft
2013-10-01 13:36:20marcelcreate